vtref Struct Reference

The structure for a cross reference of a VT. More...

## Data Fields

gchar * | type
| Reference type ("cve", "bid", ...)
gchar * | ref_id
| Actual reference ID ("CVE-2018-1234", etc)
gchar * | ref_text
| Optional additional text.

## Detailed Description

The structure for a cross reference of a VT.

The elements of this structure should only be accessed by the respective functions.

## Field Documentation

## ref_id

gchar* vtref::ref_id

Actual reference ID ("CVE-2018-1234", etc)

## ref_text

gchar* vtref::ref_text

Optional additional text.

## type

gchar* vtref::type

Reference type ("cve", "bid", ...)

The documentation for this struct was generated from the following file:

- base/nvti.c